#
# spec file for package rendercheck
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rendercheck
Version:        1.5
Release:        1.27
Summary:        Program to test a Render extension implementation
License:        HPND
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrender)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rendercheck is a program to test a Render extension implementation
against separate calculations of expected output.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/rendercheck
%{_mandir}/man1/rendercheck.1%{?ext_man}

%changelog
* Fri Jun 12 2015 sndirsch@suse.com
- Update to release 1.5
  With his gradient fixes in Dave Airlie thought it could do with a
  release, since there was a bunch of other changes.
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to HPND in specfile
* Fri Apr 13 2012 vuntz@opensuse.org
- Split rendercheck from xorg-x11. Initial version: 1.4.
